/* Typography */
.bhag__home h1.wp-block-heading,
.bhag__home h2.wp-block-heading,
.bhag__home h3.wp-block-heading,
.bhag__home h4.wp-block-heading,
.bhag__home h5.wp-block-heading,
.bhag__home h6.wp-block-heading {
    margin-bottom: 1.81rem;
    line-height: 1.2;
    font-weight: 700;
    color: var(--wp--preset--color--bhag-headline);
}

.bhag__home h1.wp-block-heading {
    font-size: 4.0625rem;
    line-height: 1;
    margin-top: 4.25rem;
    margin-bottom: 4.0625rem;
}

.bhag__home h2.wp-block-heading {
    font-size: 3.125rem;
    line-height: 1.1;
    margin-top: 3.125rem;
    margin-bottom: 3.4375rem;
}

.bhag__home h3.wp-block-heading {
    font-size: 2.5rem;
    line-height: 1.125;
    margin-top: 2.5rem;
    margin-bottom: 2.8125rem;
}

.bhag__home h4.wp-block-heading {
    font-size: 2.25rem;
    line-height: 1.1111;
    margin-top: 2.25rem;
    margin-bottom: 2.5rem;
}

.bhag__home h5.wp-block-heading {
    font-size: 1.875rem;
    line-height: 1;
    margin-top: 1.875rem;
    margin-bottom: 1.875rem;
}

.bhag__home h6.wp-block-heading {
    font-size: 1.25rem;
    line-height: 1.2;
    margin-top: 1.25rem;
    margin-bottom: 1.5rem;
}

/* Block styles */
.bhag__home .entry-content>.wp-block-columns,
.bhag__home .entry-content>.wp-block-group {
    margin-block-start: 6.69rem;
    margin-block-end: 6.44rem;
}

.bhag__home .wp-block-columns {
    gap: 1.875rem 1.875rem;
}

/* media queries */
@media (max-width: 781.98px) {
    .bhag__home h1.wp-block-heading {
        font-size: 2.25rem !important;
        line-height: 1.1111 !important;
    }

    .bhag__home h2.wp-block-heading {
        font-size: 1.875rem !important;
        margin-top: 1.19rem !important;
        margin-bottom: 0.88rem !important;
    }
    
    .bhag__home .entry-content>h2.wp-block-heading {
        margin-top: 4.38rem !important;
        margin-bottom: 1.125rem !important;
    }

    .bhag__home h3.wp-block-heading {
        font-size: 1.625rem !important;
        line-height: 1 !important;
    }

    .bhag__home h4.wp-block-heading {
        font-size: 1rem !important;
    }

    .bhag__home .entry-content>.wp-block-columns,
    .bhag__home .entry-content>.wp-block-group {
        margin-top: 4.38rem !important;
        margin-bottom: 1.87rem;
    }

    .bhag__home div.home__heading-grp.wp-block-group {
        display: flex;
        flex-direction: column-reverse;
        margin-top: 0 !important;
    }
    
    .bhag__home .home__heading-grp > h1.wp-block-heading {
        margin-top: 1.89rem !important;
        margin-bottom: 1.87rem !important;
    }
}
